AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

AWS credentials needed for RestClient

### Hierarchy

- AWSCredentials

## Index

### Properties

- accessKeyId
- secretAccessKey
- sessionToken

## Properties

### accessKeyId

accessKeyId: string

- Defined in api/src/types/index.ts:56

Access Key ID

[Access Key ID and Secret Access Key] (http://docs.aws.amazon.com/general/latest/gr/aws-sec-cred-types.html#access-keys-and-secret-access-keys)

### secretAccessKey

secretAccessKey: string

- Defined in api/src/types/index.ts:48

Secret Access Key

[Access Key ID and Secret Access Key] (http://docs.aws.amazon.com/general/latest/gr/aws-sec-cred-types.html#access-keys-and-secret-access-keys)

### sessionToken

sessionToken: string

- Defined in api/src/types/index.ts:59

Access Token of current session